#!/bin/bash

cat << EOF > plotpng.gp

set terminal postscript eps size 8,6 enhanced color font 'Helvetica,44' lw 1
set output 'fig_bands.eps'

set style line 1 lt 1 lw 1 lc rgb "dark-blue"
set style line 2 lt 1 lw 3 lc rgb "red"


set multiplot

set origin 0,0
set size 1,0.9

unset key

set yl 'E_k'
#set ytics 10

set xl 'k_x/{/Symbol p}'
set xr[0:100]
set xtics ("-1" 0, "-0.5" 25, "0" 50, "0.5" 75, "1" 100)
#set arrow from 400, graph 0 to 400, graph 1 nohead

#set label "V_0 = 10, V_1 = 0, N=3 \t Black: free dispersion" front at graph -0.1, graph 1.15

plot \
for [col=3:51] 'bands.dat' u 1:col w l ls 1 ti '',\
for [col=52:53] 'bands.dat' u 1:col w l ls 2 ti 'edge states',\
for [col=54:102] 'bands.dat' u 1:col w l ls 1 ti ''


unset multiplot

EOF
gnuplot plotpng.gp

rm plotpng.gp >& /dev/null
epstopdf fig_bands.eps
open fig_bands.pdf

