(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 10.4' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[      6506,        216]
NotebookOptionsPosition[      6179,        199]
NotebookOutlinePosition[      6535,        215]
CellTagsIndexPosition[      6492,        212]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[BoxData[
 RowBox[{"Eigensystem", "[", 
  RowBox[{"(", GridBox[{
     {"0", 
      RowBox[{
       RowBox[{"-", "I"}], " ", "d", " ", "kx"}], 
      RowBox[{"-", "g"}], 
      RowBox[{
       RowBox[{"-", "I"}], " ", "g"}]},
     {
      RowBox[{"I", " ", "d", " ", "kx"}], "0", 
      RowBox[{
       RowBox[{"-", "I"}], " ", "g"}], "g"},
     {
      RowBox[{"-", "g"}], 
      RowBox[{"I", " ", "g"}], "0", 
      RowBox[{
       RowBox[{"-", "I"}], " ", "d", " ", "kx"}]},
     {
      RowBox[{"I", " ", "g"}], "g", 
      RowBox[{"I", " ", "d", " ", "kx"}], "0"}
    }], ")"}], "]"}]], "Input",
 CellChangeTimes->{{3.725015309837657*^9, 3.725015397619813*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"-", "d"}], " ", "kx"}], ",", 
     RowBox[{"d", " ", "kx"}], ",", 
     RowBox[{"-", 
      SqrtBox[
       RowBox[{
        RowBox[{"4", " ", 
         SuperscriptBox["g", "2"]}], "+", 
        RowBox[{
         SuperscriptBox["d", "2"], " ", 
         SuperscriptBox["kx", "2"]}]}]]}], ",", 
     SqrtBox[
      RowBox[{
       RowBox[{"4", " ", 
        SuperscriptBox["g", "2"]}], "+", 
       RowBox[{
        SuperscriptBox["d", "2"], " ", 
        SuperscriptBox["kx", "2"]}]}]]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"\[ImaginaryI]", ",", "1", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", 
       RowBox[{"-", "\[ImaginaryI]"}], ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       FractionBox[
        RowBox[{"\[ImaginaryI]", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"2", " ", 
            SuperscriptBox["g", "2"]}], "+", 
           RowBox[{
            SuperscriptBox["d", "2"], " ", 
            SuperscriptBox["kx", "2"]}], "-", 
           RowBox[{"d", " ", "kx", " ", 
            SqrtBox[
             RowBox[{
              RowBox[{"4", " ", 
               SuperscriptBox["g", "2"]}], "+", 
              RowBox[{
               SuperscriptBox["d", "2"], " ", 
               SuperscriptBox["kx", "2"]}]}]]}]}], ")"}]}], 
        RowBox[{"g", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{
            RowBox[{"-", "d"}], " ", "kx"}], "+", 
           SqrtBox[
            RowBox[{
             RowBox[{"4", " ", 
              SuperscriptBox["g", "2"]}], "+", 
             RowBox[{
              SuperscriptBox["d", "2"], " ", 
              SuperscriptBox["kx", "2"]}]}]]}], ")"}]}]], ",", 
       RowBox[{"-", 
        FractionBox[
         RowBox[{
          RowBox[{"2", " ", 
           SuperscriptBox["g", "2"]}], "+", 
          RowBox[{
           SuperscriptBox["d", "2"], " ", 
           SuperscriptBox["kx", "2"]}], "-", 
          RowBox[{"d", " ", "kx", " ", 
           SqrtBox[
            RowBox[{
             RowBox[{"4", " ", 
              SuperscriptBox["g", "2"]}], "+", 
             RowBox[{
              SuperscriptBox["d", "2"], " ", 
              SuperscriptBox["kx", "2"]}]}]]}]}], 
         RowBox[{"g", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{
             RowBox[{"-", "d"}], " ", "kx"}], "+", 
            SqrtBox[
             RowBox[{
              RowBox[{"4", " ", 
               SuperscriptBox["g", "2"]}], "+", 
              RowBox[{
               SuperscriptBox["d", "2"], " ", 
               SuperscriptBox["kx", "2"]}]}]]}], ")"}]}]]}], ",", 
       "\[ImaginaryI]", ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", 
        FractionBox[
         RowBox[{"\[ImaginaryI]", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"2", " ", 
             SuperscriptBox["g", "2"]}], "+", 
            RowBox[{
             SuperscriptBox["d", "2"], " ", 
             SuperscriptBox["kx", "2"]}], "+", 
            RowBox[{"d", " ", "kx", " ", 
             SqrtBox[
              RowBox[{
               RowBox[{"4", " ", 
                SuperscriptBox["g", "2"]}], "+", 
               RowBox[{
                SuperscriptBox["d", "2"], " ", 
                SuperscriptBox["kx", "2"]}]}]]}]}], ")"}]}], 
         RowBox[{"g", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"d", " ", "kx"}], "+", 
            SqrtBox[
             RowBox[{
              RowBox[{"4", " ", 
               SuperscriptBox["g", "2"]}], "+", 
              RowBox[{
               SuperscriptBox["d", "2"], " ", 
               SuperscriptBox["kx", "2"]}]}]]}], ")"}]}]]}], ",", 
       RowBox[{"-", 
        FractionBox[
         RowBox[{
          RowBox[{
           RowBox[{"-", "2"}], " ", 
           SuperscriptBox["g", "2"]}], "-", 
          RowBox[{
           SuperscriptBox["d", "2"], " ", 
           SuperscriptBox["kx", "2"]}], "-", 
          RowBox[{"d", " ", "kx", " ", 
           SqrtBox[
            RowBox[{
             RowBox[{"4", " ", 
              SuperscriptBox["g", "2"]}], "+", 
             RowBox[{
              SuperscriptBox["d", "2"], " ", 
              SuperscriptBox["kx", "2"]}]}]]}]}], 
         RowBox[{"g", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"d", " ", "kx"}], "+", 
            SqrtBox[
             RowBox[{
              RowBox[{"4", " ", 
               SuperscriptBox["g", "2"]}], "+", 
              RowBox[{
               SuperscriptBox["d", "2"], " ", 
               SuperscriptBox["kx", "2"]}]}]]}], ")"}]}]]}], ",", 
       "\[ImaginaryI]", ",", "1"}], "}"}]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.7250153983798532`*^9}]
}, Open  ]]
},
WindowSize->{808, 883},
WindowMargins->{{4, Automatic}, {Automatic, 4}},
FrontEndVersion->"10.4 for Mac OS X x86 (32-bit, 64-bit Kernel) (February 25, \
2016)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[580, 22, 669, 22, 81, "Input"],
Cell[1252, 46, 4911, 150, 253, "Output"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)

